apiVersion: v1
kind: ConfigMap
metadata:
  name: elasticstack-configmap
  namespace: xenon-app
  labels:
    name: elasticstack-configmap
data:
  logstash.yml: |
    http.host: "0.0.0.0"
    path.config: /usr/share/logstash/pipeline
  logstash.conf: |
    input {
      tcp {
        port => 5000
      }
    }
    filter {
      json {
        source => "message"
      }
      mutate {
        add_field => { "log_source" => "xenon" }
      }
    }
    output {
      elasticsearch {
        hosts => "elasticsearch-svc:9200"
        index => "%{[index]}"
      }
    }
  kibana.yml: |
    ## Default Kibana configuration from kibana-docker.
    ## from https://github.com/elastic/kibana-docker/blob/master/build/kibana/config/kibana.yml
    #
    server.name: kibana
    server.host: "0"
    elasticsearch.url: http://elasticsearch-svc:9200
  elasticsearch.yml: |
    cluster.name: es-cluster
    network.host: "0.0.0.0"
    bootstrap.memory_lock: false
    discovery.zen.ping.unicast.hosts: elasticsearch-sts-governor
    discovery.zen.minimum_master_nodes: 1
    action.auto_create_index: -rep_*,+*
  ES_JAVA_OPTS: -Xms4500m -Xmx4500m
